Add API Tools to Agent
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/api-tools/add \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"apiTools": [
"get_weather",
"send_email",
"create_task"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/api-tools/add"
payload = { "apiTools": ["get_weather", "send_email", "create_task"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({apiTools: ['get_weather', 'send_email', 'create_task']})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/api-tools/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uid": "agent-uuid-1234",
"appId": "my-app-id",
"name": "Support Agent",
"icon": "https://example.com/icon.png",
"isActive": true,
"description": "A helpful support agent",
"tools": [
"gmail",
"slack"
],
"files": [],
"websites": [],
"otherKbIntegrations": [],
"apiTools": [],
"mcpServers": [],
"frontendActions": [],
"ragVersion": "v2",
"lastMessageAt": null,
"instruction": "You are a helpful assistant",
"formattedInstruction": "You are a helpful assistant",
"metaData": {},
"model": "gpt-4o-mini",
"modelMetaData": {},
"createdAt": 1700000000000,
"updatedAt": 1700000000000
}
}Custom API Tools
Add API Tools to Agent
Adds one or more API tools to a specific agent. Use this endpoint to give an agent access to custom API tool integrations. Request body: The apiTools array contains API tool slugs. Returns the
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
api-tools
/
add
Add API Tools to Agent
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Unique identifier of the agent
Body
application/json
Array of API tool slugs to add or remove
Example:
["get_weather", "send_email", "create_task"]Was this page helpful?
⌘I